## mutter 3.32.0+git20190410

=== debian/changelog ===
mutter (3.32.0+git20190410-1ubuntu1) disco; urgency=medium

  * Merge with debian git snapshot (LP: #1820542), remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Refreshed.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 10 Apr 2019 20:12:29 -0500

mutter (3.32.0+git20190410-1) experimental; urgency=medium

  * New upstream snapshot up to commit
    b2d0184c6efa164ad5dd7a2ca8b10cf13acf5b4c. Fixes Launchpad bugs:
    + GNOME Shell task bar menus not updated with external monitor primary and
      laptop screen fractionally scaled (LP: #1803319)
    + (In Xorg sessions only) apps launched from gnome shell do not get input
      focus (LP: #1817924)
    + Touch input is offset with two screens (even appearing on the wrong
      screen) in Xorg sessions (LP: #1821933)
    + gnome-shell crashed with SIGABRT. Assertion failure in
      meta_gpu_kms_flip_crtc: "monitor_manager->power_save_mode ==
      META_POWER_SAVE_ON" (LP: #1820331)
  * debian/patches/various: Drop upstream cherry-picks. We had cherry-picked
    the stable branch into Debian patches in the previous upload, but that
    would get out of hand if we carried on. Instead we are using a tarball
    snapshot. So drop the cherry-picks.
  * Update symbols. A typo was fixed in a public symbol. This is an ABI break,
    but upstream didn't consider this worthy of a SONAME change. A codesearch
    / github / web search doesn't reveal any external users either, so we will
    eat this to avoid another transition.
  * Use debhelper-compat 12 and BD on dh-sequence-{gnome,gir}. We were missing
    a direct BD on the providers. Thanks, Lintian.

 -- Iain Lane <laney@debian.org>  Wed, 10 Apr 2019 16:36:23 +0100

mutter (3.32.0-1ubuntu2) disco; urgency=medium

  * debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Don't invert the screen size when rotation is enabled (LP: #1822513)
    - Remove unneeded cleanup changes
    - Use xcb checked function to set scaling to catch errors
    - Update screen size only after monitors modes have been derived
      (LP: #1822616)
    - Trigger a monitors rebuild only if scale has changed (LP: #1823485)
    - Only update UI scaling when output scaling is enabled (LP: #1822478)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Apr 2019 19:19:59 -0400

mutter (3.32.0-1ubuntu1) disco; urgency=medium

  * debian/control:
    - Update VCS flags to point to launchpad
    - Update maintainer to ubuntu
  * debian/gbp.conf: update branch to point to ubuntu/master
  * debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - X11: Add support for fractional scaling using Randr (LP: #1820850)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 27 Mar 2019 06:48:11 +0100

mutter (3.32.0-1) experimental; urgency=medium

  * New upstream release
    + Fix deadlock when cancelling a theme sound
    + Stop swizzling BGRA buffers (bye-bye inverted colors in screenshots and
      animations)
  * debian/patches/*: Update to master at
    318164779c07c12c5acfcddde7834980c7521aac. These are patches which will go
    into 3.32.1. Also refresh all other patches.
  * debian/control: Build-Depend on dbus for tests. We run the tests under
    `dbus-run-session`. Apparently whatever waas pulling this in before
    stopped doing that, so BD on it directly.

 -- Iain Lane <laney@debian.org>  Tue, 12 Mar 2019 12:45:14 +0000

mutter (3.31.92-1) experimental; urgency=medium

  * New upstream release
    + Add back support for system-wide monitor configurations
    + Add cursor-mode support to window screencasting
    + Add flag parameter to grab accelerator API
    + Add fractional scaling support
    + Consider remapped keys when guessing keycode from keysym
    + Don't disable page flips after temporary failues
    + Fix crash when using "restore shortcuts" without focus window
    + Fix flicker of apps that use multiple SHM buffers
    + Fix infinite loop in EDID matching
    + Improve redraw performance
    + Reuse old CRTC if possible to avoid flicker on hotplug
    + Stop turning on-screen-keyboard off on focus changes
    + wayland: Don't maximize windows if minimum size is too big
    + wayland: Don't resetin text-input state prematurely
  * Drop old cherry-picks which are upstream, refresh other patches.
    Dropped:
      debian/patches/Update-Basque-translation.patch
      debian/patches/Update-French-translation.patch
  * d/p/sound-player-Don-t-deadlock-in-finish_cb.patch: Cherry-pick.
    This fixes a deadlock bug when scrolling over the volume indicator. (LP:
    #1817546)
  * debian/control: Breaks gnome-settings-daemon << 3.31.91. Altering the
    GrabAccelerator API will break key grabbing under g-s-d versions which
    don't use the new parameter.
  * debian/libmutter-4-0.symbols: Update. Upstream dropped a load of
    deprecated functions. This obviously is an ABI break, but we don't
    consider the ABI stable until the final release. Also some additions.

 -- Iain Lane <laney@debian.org>  Wed, 06 Mar 2019 13:44:08 +0000

mutter (3.31.90-2) experimental; urgency=medium

  * control: BD on dmz-cursor-theme instead of adwaita-icon-theme for tests.
    We actually only need *a* cursor theme, not the full icon theme.

 -- Iain Lane <laney@debian.org>  Thu, 21 Feb 2019 13:52:05 +0000

mutter (3.31.90-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
    - Fix crash in dual monitor setup and gdm activation (LP: #1790525,
      LP: #1795774)
    - Fix regression causing one of the external displays to be off sometimes
      (LP: #1772811)
  * debian/rules:

