=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: mutter
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-sequence-gir,
               dh-sequence-gnome,
               at-spi2-core <!nocheck>,
               dbus <!nocheck>,
               dmz-cursor-theme <!nocheck>,
               gnome-pkg-tools (>= 0.10),
               gnome-settings-daemon-common <!nocheck>,
               gnome-settings-daemon-dev,
               gobject-introspection (>= 1.41.3),
               gsettings-desktop-schemas-dev (>= 3.31.0),
               gtk-doc-tools (>= 1.15),
               libcairo2-dev (>= 1.10.0),
               libcanberra-gtk3-dev,
               libdrm-dev (>= 2.4.83) [linux-any],
               libegl1-mesa-dev (>= 17) [linux-any],
               libgbm-dev (>= 10.3) [linux-any],
               libgirepository1.0-dev (>= 0.9.12),
               libgl1-mesa-dev (>= 7.1~rc3-1~),
               libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
               libglib2.0-dev (>= 2.57.2),
               libgnome-desktop-3-dev (>= 3.27.90),
               libgtk-3-dev (>= 3.19.8),
               libgudev-1.0-dev (>= 232) [linux-any],
               libice-dev,
               libinput-dev (>= 1.4) [linux-any],
               libjson-glib-dev (>= 0.13.2-1~),
               libnvidia-egl-wayland-dev [linux-any],
               libpam0g-dev,
               libpango1.0-dev (>= 1.2.0),
               libpipewire-0.2-dev (>= 0.2.2) [linux-any],
               libsm-dev,
               libstartup-notification0-dev (>= 0.7),
               libsystemd-dev (>= 212) [linux-any],
               libwacom-dev (>= 0.13) [linux-any],
               libwayland-dev (>= 1.13.0) [linux-any],
               libx11-dev,
               libx11-xcb-dev,
               libxcb-randr0-dev,
               libxcb-res0-dev,
               libxcomposite-dev (>= 1:0.4),
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev,
               libxi-dev (>= 2:1.6.99.1),
               libxinerama-dev,
               libxkbcommon-dev (>= 0.4.3),
               libxkbcommon-x11-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               libxt-dev,
               meson (>= 0.46),
               pkg-config (>= 0.22),
               wayland-protocols (>= 1.16) [linux-any],
               xauth <!nocheck>,
               xkb-data,
               xserver-xorg-core [linux-any],
               xvfb <!nocheck>,
               xwayland [linux-any],
               zenity
Rules-Requires-Root: no
Standards-Version: 4.3.0
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/mutter
Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/mutter

Package: mutter
Architecture: any
Depends: gnome-settings-daemon-common,
         gsettings-desktop-schemas (>= 3.31.0),
         mutter-common (>= ${source:Version}),
         zenity,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-window-manager
Suggests: gnome-control-center (>= 1:3.25.2),
          xdg-user-dirs
Description: lightweight GTK+ window manager
 Mutter is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Mutter is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the core binaries.

Package: gir1.2-mutter-4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libmutter-4-0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GObject introspection data for Mutter
 Mutter is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Mutter is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.

Package: libmutter-4-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: gsettings-desktop-schemas (>= 3.15.92),
         mutter-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: gnome-control-center (<< 1:3.25.2),
        gnome-settings-daemon (<< 3.31.91)
Description: window manager library from the Mutter window manager
 Mutter is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Mutter is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the window manager shared library, used by mutter
 itself, and gnome-shell.

Package: libmutter-4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-mutter-4 (= ${binary:Version}),
         gsettings-desktop-schemas-dev,
         libatk1.0-dev,
         libcairo2-dev,
         libdrm-dev,
         libegl1-mesa-dev,
         libgbm-dev,
         libgdk-pixbuf2.0-dev,
         libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
         libglib2.0-dev,
         libgtk-3-dev,
         libinput-dev (>= 1.4),
         libjson-glib-dev,
         libmutter-4-0 (= ${binary:Version}),
         libpango1.0-dev,
         libudev-dev,
         libwayland-dev,
         libx11-dev,
         libxcomposite-dev,
         libxdamage-dev,
         libxext-dev,
         libxfixes-dev,
         libxi-dev,
         libxrandr-dev,
         ${misc:Depends}
Conflicts: libmutter-0-dev,
           libmutter-1-dev,
           libmutter-2-dev,
Description: Development files for the Mutter window manager
 Mutter is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Mutter is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the development files.

Package: mutter-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: shared files for the Mutter window manager
 Mutter is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Mutter is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the shared files.
