## mutter 3.32.2+git20190711

=== debian/changelog ===
mutter (3.32.2+git20190711-2ubuntu1~19.04.1) disco; urgency=medium

  * No-change backport from disco to eoan.

 -- Iain Lane <laney@debian.org>  Sun, 21 Jul 2019 20:51:33 +0100

mutter (3.32.2+git20190711-2ubuntu1) eoan; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Fri, 19 Jul 2019 16:59:08 +0100

mutter (3.32.2+git20190711-2) experimental; urgency=medium

  * d/p/window-x11-Focus-a-window-in-the-active-workspace-as-take.patch:
    - Fix possible crash on closing Java dialogs (Related to LP: #1834583)
    d/p/metatest-Dispatch-the-destruction-instead-of-sleeping-aft.patch:
    - Tests: don't wait too much after window destruction, causing failures

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 19 Jul 2019 16:55:02 +0100

mutter (3.32.2+git20190711-1ubuntu1) eoan; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Fri, 12 Jul 2019 14:23:04 +0100

mutter (3.32.2+git20190711-1) experimental; urgency=medium

  * New upstream snapshot up to commit ccab0f470
    - Fix No-input WM_TAKE_FOCUS dialogs causing GNOME Shell to hang
      and ensure we always have a window focused if we have a valid
      focus canididate (LP: #1834583)
    - Don't crash on shell close / reload under X11 when releasing
      surface actor display resources (LP: #1826918)
  * d/p/debian/Revert-meson-Bump-meson-requirement-to-0.50.0.patch:
    - Revert dependency on meson 0.50.0

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 12 Jul 2019 14:11:53 +0100

mutter (3.32.2+git20190626-1ubuntu1~19.04.1) disco; urgency=medium

  * No-change backport from eoan to disco for SRU.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 27 Jun 2019 16:38:59 +0100

mutter (3.32.2+git20190626-1ubuntu1) eoan; urgency=medium

  * Merge with debian (LP: #1834493). Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Thu, 27 Jun 2019 15:58:31 +0100

mutter (3.32.2+git20190626-1) experimental; urgency=medium

  * New upstream snapshot release:
    - Don't crash when try to focus unfocusable windows (LP: #1791574)
    - Valgrind use-after-free warning fixes in the native backend
    - renderer/native: add missing eglTerminate in EGLDevice error path
    - Fix Alt+F2 -> restart to work again in X11
    - window: Emit an error and return when trying to activate an unmanaged
      (LP: #1827401)
    - Setting cursor to "none" doesn't hide it under Wayland
    - Fix broken selected text in entries
    - Tests memory fixes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 27 Jun 2019 13:02:32 +0100

mutter (3.32.2-1ubuntu1) eoan; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Tue, 21 May 2019 17:38:07 +0100

mutter (3.32.2-1) experimental; urgency=medium

  * New upstream release
  * d/p/clutter-evdev-disable-mousekeys-with-Numlock-ON.patch,
    d/p/clutter-x11-disable-mousekeys-with-Numlock-ON.patch,
    d/p/compositor-Destroy-window-actors-list-on-destruction.patch,
    d/p/compositor-Disconnect-from-stage-signals-on-destruction.patch,
    d/p/input-settings-Use-0-initialized-struct-for-kbd-a11y.patch:
    - Dropped, merged upstream.
  * d/p/meson-add-back-default_driver-option.patch:
    - Refreshed

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 21 May 2019 12:31:38 +0100

mutter (3.32.1-2ubuntu1~19.04.1) disco; urgency=medium

  * Backport from eoan to disco
  * Update VCS metadata

 -- Iain Lane <iain.lane@canonical.com>  Wed, 01 May 2019 11:32:50 +0100

mutter (3.32.1-2ubuntu1) eoan; urgency=medium

  * Merge with debian
    - Update to 3.32.1 upstream version (LP: #1826936)
    - Fix applications aren't focused in Wayland session (LP: #1826176)
    - Fix crash on hotplugging a dock with a monitor (LP: #1826182)
    Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Fixed crash on calculation of global scale (LP: #1826933)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 01 May 2019 11:08:08 +0100

mutter (3.32.1-2) experimental; urgency=medium

  * Cherry-pick patches from upstream gnome-3-32 branch:
    - compositor-Destroy-window-actors-list-on-destruction.patch,
      compositor-Disconnect-from-stage-signals-on-destruction.patch: Fix crash
      when exiting. (LP: #1813716)
    - 0-initialize a struct we'll be memcmp()ing.
  * Reorder patch series so upstream patches come first (no conflicts, no

