## mutter 3.34.1

=== debian/changelog ===
mutter (3.34.1-1ubuntu1) eoan; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Wed, 09 Oct 2019 12:18:44 +0100

mutter (3.34.1-1) unstable; urgency=medium

  * New upstream release
    + Fix focusing of Java applications (LP: #1847184)
    + Fix freeze of pointer event delivery on X11
    + Fix initial view perspective
    + Fix memory leak when using implicit animations
    + Fix _NET_ACTIVE_WINDOW emission
    + Fix numlock state for native backend (LP: #1845031)
    + Fix scaling of DND surface actors
    + Fix scaling of stylus input coordinates with HiDPI
    + Fix screenshots and window animations when scaled
    + Fix startup of X11 session services on wayland
    + kms: Predict state changes when processing update (LP: #1847044)
    + Optimize blitting of untransformed offscreen stage views
    + Re-enable coredumps when capabilities are set
  * Drop several upstream backports which are now applied
    - d/p/build-Compile-with-ffloat-store-on-x86-32-bit.patch
    - d/p/clutter-actor-Cancel-delayed-timelines-on-removal.patch
    - d/p/clutter-timeline-Don-t-emit-paused-signal-on-delayed-time.patch
    - d/p/clutter-timeline-Use-a-function-to-cancel-the-delay-timeo.patch
    - d/p/core-Split-x11-display-initialization-in-2-signals.patch
    - d/p/x11-Minor-refactor-of-input-focus-handling-code.patch
    - d/p/x11-Use-the-currently-focused-X-window-for-_NET_ACTIVE_WI.patch
  * rules: Skip tests when DEB_BUILD_OPTIONS=nocheck is set

 -- Iain Lane <laney@debian.org>  Wed, 09 Oct 2019 11:17:08 +0100

mutter (3.34.0-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 13:26:44 +0200

mutter (3.34.0-3ubuntu1) eoan; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Fri, 20 Sep 2019 16:32:18 +0100

mutter (3.34.0-3) experimental; urgency=medium

  * d/p/clutter-*: Cherry-pick from upstream to fix a crash. During
    animations, which was particularly bad when using Dash-to-Dock in
    auto-hide mode. (LP: #1841794)

 -- Iain Lane <laney@debian.org>  Fri, 20 Sep 2019 16:08:03 +0100

mutter (3.34.0-2ubuntu1) eoan; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Fri, 13 Sep 2019 11:13:49 +0100

mutter (3.34.0-2) experimental; urgency=medium

  * d/p/core-Split-x11-display-initialization-in-2-signals.patch: Cherry-pick.
    Fixes starting up of gsd-xsettings on Wayland. (LP: #1843107)

 -- Iain Lane <laney@debian.org>  Fri, 13 Sep 2019 11:10:15 +0100

mutter (3.34.0-1ubuntu1) eoan; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Tue, 10 Sep 2019 12:56:51 +0100

mutter (3.34.0-1) experimental; urgency=medium

  [ Simon McVittie ]
  * libmutter-5-0: Add Breaks on apparmor (<< 2.13.3-5~).
    This ensures that #935058 has been fixed, so X11 apps with the X
    abstraction can read /run/user/1000/.mutter-Xwaylandauth.*
    (Closes: #939736)
  * d/tests: Add a superficial build-test for the -dev package.
    I'm deliberately not testing the included forks of clutter and cogl here
    since those are an implementation detail of Mutter.
  * Use default libexecdir.
    The version of the FHS used in Debian has supported this since
    Policy 4.1.5.
  * d/rules: Use a temporary home directory for build-time tests
  * d/clean: Clean up temporary home directory and XDG_RUNTIME_DIR
  * Standards-Version: 4.4.0 (no changes required)
  * Rewrite package descriptions based on the upstream README.
    This removes the strange breakfast cereal references, and reframes
    Mutter as primarily a shared library used by GNOME Shell and only
    secondarily a standalone window manager, matching its real upstream
    maintenance status.

  [ Iain Lane ]
  * d/p/x11*: Cherry pick fixes from upstream to fix focus order on X11
    (LP: #1842971)
  * New upstream release
    + Fix xdg-output v3 support
    + Fix crash when changing decoration state
    + Add and remove connectors on hot-plug
  * d/p/*: Drop upstream cherry-picks
  * d/p/build-Compile-with-ffloat-store-on-x86-32-bit.patch: Take from MR 785.
    This fixes the testsuite on i386, which is broken because of the use of
    x87 extended precision introducing rounding errors.

 -- Iain Lane <laney@debian.org>  Tue, 10 Sep 2019 11:46:06 +0100

mutter (3.33.92-1ubuntu1) eoan; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
      - Update maintainer to ubuntu
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:

