## mutter 3.34.3

=== debian/changelog ===
mutter (3.34.3-1ubuntu1~19.10.1) eoan; urgency=medium

  * Backport to eoan (LP: #1858683)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 08 Jan 2020 13:31:04 +0000

mutter (3.34.3-1ubuntu1) focal; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Mon, 06 Jan 2020 17:56:09 +0000

mutter (3.34.3-1) unstable; urgency=medium

  * New upstream release
    + Fix window recording on HiDPI
    + Fix top-left pixel being insensitive to clicks (LP: #1849135)

 -- Iain Lane <laney@debian.org>  Mon, 06 Jan 2020 13:39:48 +0000

mutter (3.34.2-2ubuntu1) focal; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Sun, 22 Dec 2019 17:24:36 +0000

mutter (3.34.2-2) unstable; urgency=medium

  * d/p/EGL-Include-EGL-eglmesaext.h.patch: Cherry pick from master. This
    fixes the generated EGL includes for the move of exlext.h from mesa to
    libglvnd, which has just happened in Debian.

 -- Iain Lane <laney@debian.org>  Sun, 22 Dec 2019 15:42:09 +0000

mutter (3.34.2-1ubuntu1) focal; urgency=medium

  * Merge with debian including new upstream version 3.34.2 (LP: #1857037):
    - Fix an hang when using DisplayLink with Wayland (LP: #1853357)
    - Kill window effects on destroy (LP: #1844222)
    - Fixed a crash when using various Java apps such as Intellij (LP: #1845281)
    - Fixed a crash when handling X11 events (LP: #1846403)
    - Fixed some double-scaling in wayland
    - More crash and hang fixes
    Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 20 Dec 2019 17:17:53 +0000

mutter (3.34.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - d/libmutter-5-0.symbols: Update
    - d/copyright: Update
  * d/gbp.conf: Use upstream/3.34.x branch
  * Remove obsolete Lintian override
  * Standards-Version: 4.4.1 (no changes required)
  * d/tests: Use correct compiler for proposed autopkgtest
    cross-architecture testing support

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Dec 2019 16:55:47 +0000

mutter (3.34.1+git20191107-1ubuntu1~19.10.1) eoan; urgency=medium

  * Backport to eoan.
  * debian/control, debian/gbp.conf: Update VCS branch to ubuntu/eoan

 -- Iain Lane <iain.lane@canonical.com>  Thu, 07 Nov 2019 12:23:49 +0000

mutter (3.34.1+git20191107-1ubuntu1) focal; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Thu, 07 Nov 2019 11:49:31 +0000

mutter (3.34.1+git20191107-1) unstable; urgency=high

  * New upstream snapshot
    - Fixes a regression from the previous upload, which caused a hang when
      interacting with the desktop icons.
  * x11-Update-X11-focus-before-updating-MetaDisplay-focus.patch: Drop. This
    was a cherrry-pick that is included in this snapshot.
  * debian/libmutter-5-0.symbols: Add new symbol in this snapshot

 -- Iain Lane <laney@debian.org>  Thu, 07 Nov 2019 11:10:59 +0000

mutter (3.34.1+git20191022-2ubuntu1) focal; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Iain Lane <iain.lane@canonical.com>  Fri, 25 Oct 2019 18:07:31 +0100

mutter (3.34.1+git20191022-2) unstable; urgency=medium

  * debian/patches: Update X11 focus before display focus:
    - Fixes an infinite loop causing an hang when showing the "application is
      not responding" dialog (LP: #1845302)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 25 Oct 2019 17:56:43 +0100

mutter (3.34.1+git20191022-1) unstable; urgency=medium

  * New upstream snapshot release
    + Fix night mode in wayland session (LP: #1847551)
    + Don't emit key-focus-out events on destroyed actors (LP: #1848119)
    + Fix an headers syntax error (LP: #1841709)
    + backends: Update inhibited state for the monitor and respect that state
    + clutter-backend-x11: Don't push keymap events to clutter
    + Fix drag and drop for applications in wayland
    + Avoid X11 roundtrips on underscanning checks

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 23 Oct 2019 10:53:23 +0100

mutter (3.34.1-3) unstable; urgency=medium

  * Bump meson test timeout multiplier from 4 to 6 for armel

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 20 Oct 2019 22:48:29 -0400
